
/**
 * @author yxm 
 * @description  导出文件流
 * @param { String } content 文件流
 * @param { String } paraName 文件名+后缀名
*/

/**
 * 
 * @param res 文件流
 * @param name 下载的文件名
 * @param format 下载的文件格式  xlsx
 */
export function downloadExcelFun(res) {
  console.log('下载', res)

  // const fileName = decodeURIComponent(res.headers["content-disposition"])
  let blob = new Blob([res.data], { type: 'application/x-rar-compressed' });

  let url = window.URL.createObjectURL(blob); // 创建 url 并指向 blob
  let a = document.createElement("a");
  a.href = url;
  a.download = '添加设备列表模板.xlsx';//文件名称
  a.click();
  window.URL.revokeObjectURL(url); // 释放该 url
}


/**
 * 
 * @param res 文件流PDF
 * @param name 下载的文件名
 * @param format 下载的文件格式  xlsx
 */
export function downloadPDF(res,tit) {
  // const fileName = decodeURIComponent(res.headers["content-disposition"])
  let blob = new Blob([res.data], { type: 'application/x-rar-compressed' });

  let url = window.URL.createObjectURL(blob); // 创建 url 并指向 blob
  let a = document.createElement("a");
  a.href = url;
  a.download = tit + settimeFun()+'.pdf';//文件名称
  a.click();
  window.URL.revokeObjectURL(url); // 释放该 url
}

function settimeFun(){
  var date = new Date(); //时间戳为10位需*1000，时间戳为13位的话不需乘1000
  let y = date.getFullYear();
  let M = (date.getMonth() + 1).toString().padStart(2, '0');
  let d = date.getDate().toString().padStart(2, '0');
  let h = date.getHours().toString().padStart(2, '0');
  let m = date.getMinutes().toString().padStart(2, '0');
  let s = date.getSeconds().toString().padStart(2, '0');
  return y+ M + d + h + m + s;
}